List all Events, including Visits, WiFi connections and application events, of an Organization
Retrieve all events og of the given organization .
Role: Organization Manager
Scope: organization_read, events_read
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cidstringRequired
id of the organization (aka tenant)
Query parameters
dateStartstringOptional
Return events with date >= of request. Format is date iso8601. Eg: 2019-07-31T22:23:24Z
dateEndstringOptional
Return events with date <= of request. Format is date iso8601. Eg: 2019-07-31T22:23:24Z
eventsstringOptional
List of events (comma separated). Possible values: visit,signup, login, send_email,open_email,click_email,send_sms,click_sms,survey, promo
sizestringOptional
Number of events returned by the request. Allowed values between 1 and 10000. It is not possible to change this values during a scrolling.
sortBystringOptional
Sort list by: businessTime, utcTime (default is businessTime)
sortReversebooleanOptional
Reverse sort order
enableScrollbooleanOptional
Enable scroll. If true, the response will contain a scrollId. Use it to get the next page of results.
scrollIdbooleanOptional
Scroll id. Use it to get the next page of results.
Responses
200
Response
application/json
statusstringOptional
OK
generatedstringOptional
date time of response
countnumberOptional
default
Error
application/json
get/v1/organizations/{cid}/events
GET /v1/organizations/{cid}/events HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
List all events, including WiFi Connections, Visits and applicaiton events of a given Contact Id
Role: Organization Manager
Scope: organization_read, events_read
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cidstringRequired
id of the organization (aka tenant)
idstringRequired
id of the user (ID of the table w.USERS) passed inside the JWT received at login
Query parameters
dateStartstringOptional
Return events with date >= of request. Format is date iso8601. Eg: 2019-07-31T22:23:24Z
dateEndstringOptional
Return events with date <= of request. Format is date iso8601. Eg: 2019-07-31T22:23:24Z
eventsstringOptional
List of events (comma separated). Possible values: visit,signup, login, send_email,open_email,click_email,send_sms,click_sms,survey, promo
sizestringOptional
Number of events returned by the request. Allowed values between 1 and 10000. It is not possible to change this values during a scrolling.
sortBystringOptional
Sort list by: businessTime, utcTime (default is businessTime)
sortReversebooleanOptional
Reverse sort order
Responses
200
Response
application/json
statusstringOptional
OK
generatedstringOptional
date time of response
countnumberOptional
default
Error
application/json
get/v1/organizations/{cid}/customers/{id}/events
GET /v1/organizations/{cid}/customers/{id}/events HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*